Skip to content

Lists activities on project template
GA

Request

Paginated list of activities for a template. Ordered from the most recent one to the oldest one.

Security
BasicAuth and BearerAuth and OAuth2Production
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

plusFriendIdstringrequired

The unique ID of the sender.

templateCodestringrequired

The unique name of the template.

Query
pageSizenumber, [ 1 .. 100 ]

The page size requested.

pageTokenstring

The page token if retrieving the next page from a previous query.

curl -i -X GET \
  -u '<username>:<password>' \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/kakaotalk/senders/{plusFriendId}/templates/{templateCode}/activities?pageSize=1&pageToken=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Recent activities on template

Bodyapplication/json
totalSizenumberrequired

Total size of the entries matching the search query.

pageSizenumberrequired

Requested size of the page.

notificationsArray of objects(KakaotalkTemplateNotificationDto)required
previousPageTokenstring

Encoded token to use in list request to fetch previous batch of entries.

nextPageTokenstring

Encoded token to use in list request to fetch next batch of entries.

Response

Response for all template activities.

{ "totalSize": 2, "pageSize": 50, "notifications": [ { … }, { … } ] }
We'd love to hear from you!
Rate this content: